=== debian/changelog ===
ros-kinetic-cob-script-server (0.6.21-2xenial) xenial; urgency=high

  * Merge pull request #300 <https://github.com/ipa320/cob_command_tools/issues/300> from fmessmer/sss_improvements
    harmonize joint_states subscription
  * configurable joint_state_topic
  * harmonize joint_states subscription
  * Merge pull request #298 <https://github.com/ipa320/cob_command_tools/issues/298> from fmessmer/fix/python3_cob_console
    cob_console for dual-distro ipython
  * cob_console for dual-distro ipython
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Apr 2021 22:00:00 -0000

ros-kinetic-cob-script-server (0.6.20-2xenial) xenial; urgency=high

  * Merge pull request #291 <https://github.com/ipa320/cob_command_tools/issues/291> from fmessmer/fix_python3
    fix python3
  * import itertools.izip as zip for python3-compatibility
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 24 Jan 2021 23:00:00 -0000

ros-kinetic-cob-script-server (0.6.19-2xenial) xenial; urgency=high

  * Merge pull request #287 <https://github.com/ipa320/cob_command_tools/issues/287> from fmessmer/fix_catkin_lint
    fix catkin_lint
  * fix catkin_lint
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 01 Dec 2020 23:00:00 -0000

ros-kinetic-cob-script-server (0.6.18-2xenial) xenial; urgency=high

  * Merge pull request #286 <https://github.com/ipa320/cob_command_tools/issues/286> from fmessmer/fix_noetic
    fix noetic
  * ROS_PYTHON_VERSION conditional dependency for pygraphviz
  * ROS_PYTHON_VERSION conditional dependency for ipython
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 20 Oct 2020 22:00:00 -0000

ros-kinetic-cob-script-server (0.6.17-2xenial) xenial; urgency=high

  * Merge pull request #284 <https://github.com/ipa320/cob_command_tools/issues/284> from fmessmer/test_noetic
    test noetic
  * use setuptools instead of distutils
  * Bump CMake version to avoid CMP0048 warning
  * Merge pull request #282 <https://github.com/ipa320/cob_command_tools/issues/282> from floweisshardt/fix/actionlib_state
    fix actionlib state handling for non initialized action clients
  * use GoalStatus message import only
  * use GoalStatus enum explicitly
  * fix actionlib state handling for non initialized action clients
  * Contributors: Felix Messmer, floweisshardt, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 16 Oct 2020 22:00:00 -0000

ros-kinetic-cob-script-server (0.6.16-2xenial) xenial; urgency=high

  * Merge pull request #280 <https://github.com/ipa320/cob_command_tools/issues/280> from fmessmer/fix/init_urdf_structure
    initialize urdf structure only once during init
  * initialize urdf structure only once during init
  * Merge pull request #270 <https://github.com/ipa320/cob_command_tools/issues/270> from LoyVanBeek/feature/python3_compatibility
    [ci_updates] pylint + Python3 compatibility
  * Use six to handle input vs raw_input
  * cleanup cob_script_server
  * fix more pylint errors
  * use threading
  * fix pylint errors
  * python3 compatibility via 2to3
  * Merge pull request #273 <https://github.com/ipa320/cob_command_tools/issues/273> from floweisshardt/fix/move_base_without_global_map
    publish move_base goal without global /map
  * publish move_base goal without global /map
  * Merge pull request #271 <https://github.com/ipa320/cob_command_tools/issues/271> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Merge pull request #260 <https://github.com/ipa320/cob_command_tools/issues/260> from fmessmer/feature/calculate_traj_point_velocities
    proper traj velocity calculation
  * add opt-out stop_at_waypoints
  * use logdebug for debug output
  * fix trajectory point velocity calculation
  * drop start after time calculation
  * filter duplicate or close configs in trajectory
  * fix array type
  * set accelerations to 0.0
  * not use min_point_time 0.4
  * drop first traj point if close to start_pos
  * improve debug output
  * remove hardcoded point velocities and accelerations
  * add debug output
  * epsilon check and elementwise zero-velocity
  * proper traj velocity calculation
  * Merge pull request #264 <https://github.com/ipa320/cob_command_tools/issues/264> from fmessmer/fix/robot_description_ns
    fix robot_description namespace handling
  * fix robot_description namespace handling
  * Merge pull request #259 <https://github.com/ipa320/cob_command_tools/issues/259> from LoyVanBeek/feature/faster_sss_trajectories
    Feature/faster sss trajectories
  * fix log formatting
  * explicit robot_description key
  * Move all code to determine the desired velocity to a private method
    Code to determine this got too big to contain all the various branches and edge cases
  * Fix undeclared variable
  * feature/calculate traj point velocities (#1 <https://github.com/ipa320/cob_command_tools/issues/1>)
    feature/calculate traj point velocities
  * fix error case velocities zero or negative
  * fixup acc default value
  * fixup variable name
  * fixup limit_vel and add debug output
  * add vel_limit check
  * return failure on invalid arguments
  * expose arguments to move_rel
  * allow to pass default_vel via sss argument
  * allow setting default_vel and default_acc per joint as list of float/int via yaml
  * Rename d_max to dist
  * Optionally use the URDF-derived velocities
  * Extend sss.move with a speed_factor to speed up movements
  * fixup! Iterate over all joints to calculate_point_time and take the  slowest time for all joints
  * Get joint velocity from URDF in compose_trajectory
  * Iterate over all joints to calculate_point_time and take the  slowest time for all joints
    Earlier only 1 joint velocity and acceleration was used.
    TOOD: Read velocity (and acceleration?) from URDF

