=== debian/control ===
Source: ros-kinetic-cob-script-server
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-setuptools, ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-catkin, ros-kinetic-message-generation, ros-kinetic-rostest, ros-kinetic-trajectory-msgs
Homepage: http://ros.org/wiki/cob_script_server
Standards-Version: 3.9.2

Package: ros-kinetic-cob-script-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ipython, python-pygraphviz, python-six, ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-cob-actions, ros-kinetic-cob-light, ros-kinetic-cob-mimic, ros-kinetic-cob-sound, ros-kinetic-control-msgs, ros-kinetic-geometry-msgs, ros-kinetic-message-runtime, ros-kinetic-move-base-msgs, ros-kinetic-rospy, ros-kinetic-rostest, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-tf, ros-kinetic-trajectory-msgs, ros-kinetic-urdfdom-py
Description: The cob_script_server package provides a simple interface to operate Care-O-bot.
 It can be used via the python API or the actionlib interface.
